ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tyler Kocheran <rfkroc...@gmail.com>
Subject Problems downloading the Spring Framework: Ivy 2.0.0
Date Wed, 04 Feb 2009 00:58:32 GMT
I'm trying to download the Spring Framework using Ivy. Ivy works fine for
some other packages (not Hibernate :[ ), but not for Spring. I manually
deleted my ivy cache and manually replaced my .ant/lib/ivy.jar file with the
new one. My Ivy version shows up as: "Ivy 2.0.0 - 20090108225011". This is
my Ant build file:

<?xml version="1.0"?>
<project name="ivyRedux" basedir="."
    xmlns:ivy="antlib:org.apache.ivy.ant">

    <target name="resolve">
        <ivy:cleancache/>
        <ivy:resolve/>
    </target>
</project>

And here's my ivy.xml file:

<?xml version="1.0"?>
<ivy-module version="2.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:noNamespaceSchemaLocation="http://ant.apache.org/ivy/schemas/ivy.xsd
">

    <info organisation="tkassembled" module="someModule"/>

    <dependencies>
        <dependency org="org.springframework" name="spring" rev="2.5.5"/>
        <!-- It fails on 2.5.6 too. -->
    </dependencies>
</ivy-module>

It generates a warning somewhere down the way:
    ---------------------------------------------------------------------
    |                  |            modules            ||   artifacts   |
    |       conf       | number| search|dwnlded|evicted|| number|dwnlded|
    ---------------------------------------------------------------------
    |      default     |  116  |   84  |   80  |   21  ||   82  |   74  |
    ---------------------------------------------------------------------
[ivy:resolve]         ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]         ::          UNRESOLVED DEPENDENCIES         ::
[ivy:resolve]         ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]         :: javax.ejb#ejb;3.0: not found
[ivy:resolve]         :: commons-attributes#commons-attributes-compiler;2.2:
java.text.ParseException: inconsistent module descriptor file found in '
http://repo1.maven.org/maven2/commons-attributes/commons-attributes-compiler/2.2/commons-attributes-compiler-2.2.pom':
bad revision: expected='2.2' found='2.1';
[ivy:resolve]         :: org.apache.ibatis#ibatis-sqlmap;2.3.0.677: not
found
[ivy:resolve]         :: com.oracle#toplink-essentials;2.41: not found
[ivy:resolve]         :: com.oracle#oc4j;1.0: not found
[ivy:resolve]         :: freemarker#freemarker;2.3.12: not found
[ivy:resolve]         :: groovy#groovy;1.5.5: not found
[ivy:resolve]         :: hessian#hessian;3.1.3: not found
[ivy:resolve]         :: jexcelapi#jxl;2.6.6: not found
[ivy:resolve]         :: jruby#jruby-bin;1.0.1: not found
[ivy:resolve]         :: org.hibernate#hibernate-entitymanager;3.3.2.ga: not
found
[ivy:resolve]         :: poi#poi;3.0.1: not found
[ivy:resolve]         :: velocity#velocity;1.5: java.text.ParseException:
inconsistent module descriptor file found in '
http://repo1.maven.org/maven2/velocity/velocity/1.5/velocity-1.5.pom': bad
organisation: expected='velocity' found='org.apache.velocity';
[ivy:resolve]         ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]
[ivy:resolve]         ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]         ::              FAILED DOWNLOADS            ::
[ivy:resolve]         :: ^ see resolution messages for details  ^ ::
[ivy:resolve]         ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]         :: javax.faces#jsf-api;1.1!jsf-api.jar
[ivy:resolve]         :: javax.jms#jms;1.1!jms.jar
[ivy:resolve]         :: javax.resource#connector-api;1.5!connector-api.jar
[ivy:resolve]         :: com.bea.wlplatform#commonj-twm;1.1!commonj-twm.jar
[ivy:resolve]         :: com.oracle.toplink#toplink;10.1.3!toplink.jar
[ivy:resolve]         :: javax.resource#connector;1.0!connector.jar
[ivy:resolve]         :: com.sun.jdmk#jmxtools;1.2.1!jmxtools.jar
[ivy:resolve]         :: com.sun.jmx#jmxri;1.2.1!jmxri.jar
[ivy:resolve]         ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]
[ivy:resolve] :::: ERRORS
[ivy:resolve]         public: bad revision found in
http://repo1.maven.org/maven2/commons-attributes/commons-attributes-compiler/2.2/commons-attributes-compiler-2.2.pom:
expected='2.2 found='2.1'
[ivy:resolve]     Relocation to an other version number not supported in ivy
: xml-apis#xml-apis;2.0.2 relocated to xml-apis#xml-apis;1.0.b2. Please
update your dependency to directly use the right version.
[ivy:resolve]         public: bad organisation found in
http://repo1.maven.org/maven2/velocity/velocity/1.5/velocity-1.5.pom:
expected='velocity' found='org.apache.velocity'
[ivy:resolve]

I've attached my complete log file as an attachment to save your eyes :)
What am I doing wrong here? I'm desperately trying to use Ivy and I just
can't seem to make it work in any real-world scenario.

Thanks,
 - TK

-- 
And do this, knowing the time, that now it is high time to awake out of
sleep;
for now our salvation is nearer than when we first believed.

Mime
View raw message